<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DownloadToPanelOutput StructType
 * @subpackage Structs
 */
class DownloadToPanelOutput extends AbstractStructBase
{
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Success;
    /**
     * The ErrorMessage
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrorMessage;
    /**
     * The ValidationErrors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfDownloadValidationError
     */
    public $ValidationErrors;
    /**
     * Constructor method for DownloadToPanelOutput
     * @uses DownloadToPanelOutput::setSuccess()
     * @uses DownloadToPanelOutput::setErrorMessage()
     * @uses DownloadToPanelOutput::setValidationErrors()
     * @param bool $success
     * @param string $errorMessage
     * @param \CustomerManagement\ArrayType\ArrayOfDownloadValidationError $validationErrors
     */
    public function __construct($success = null, $errorMessage = null, \CustomerManagement\ArrayType\ArrayOfDownloadValidationError $validationErrors = null)
    {
        $this
            ->setSuccess($success)
            ->setErrorMessage($errorMessage)
            ->setValidationErrors($validationErrors);
    }
    /**
     * Get Success value
     * @return bool
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param bool $success
     * @return \CustomerManagement\StructType\DownloadToPanelOutput
     */
    public function setSuccess($success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Get ErrorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->ErrorMessage;
    }
    /**
     * Set ErrorMessage value
     * @param string $errorMessage
     * @return \CustomerManagement\StructType\DownloadToPanelOutput
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($errorMessage)), __LINE__);
        }
        $this->ErrorMessage = $errorMessage;
        return $this;
    }
    /**
     * Get ValidationErrors value
     * @return \CustomerManagement\ArrayType\ArrayOfDownloadValidationError|null
     */
    public function getValidationErrors()
    {
        return $this->ValidationErrors;
    }
    /**
     * Set ValidationErrors value
     * @param \CustomerManagement\ArrayType\ArrayOfDownloadValidationError $validationErrors
     * @return \CustomerManagement\StructType\DownloadToPanelOutput
     */
    public function setValidationErrors(\CustomerManagement\ArrayType\ArrayOfDownloadValidationError $validationErrors = null)
    {
        $this->ValidationErrors = $validationErrors;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\DownloadToPanelOutput
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
